// SPDX-License-Identifier: Unlicense

#ifndef STAGE_H
#define STAGE_H

#include "configuration.h"

#ifdef SHR3D_ENVIRONMENT_STAGE

struct mat4;

namespace Stage
{
  void init();
  void tick();
  void render(const mat4& viewProjectionMat);
}
#endif // SHR3D_ENVIRONMENT_STAGE

#endif // STAGE_H